Redmine - Defect #19095

PDF is broken on iOS
2015-02-12 17:48 - Marcel Muller

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version: 2.6.6

Resolution: Fixed Affected version: 2.6.1
Description

When viewing a pdf which was exported in redmine on an iOS device (iPhone / iPad) it's dimensions are messed up and scrolling (in
safari) is not possible.

Windows:

== IF: 10.50.1.16

12 Fab 2018 m

iOS:
Can't upload the pdf (as it's too large), but here's a link: https://dl.dropboxusercontent.com/u/46574377/Test.pdf

Related issues:
Related to Redmine - Feature #20142: Update Gemfile to require rbpdf ~>1.18.6 Closed

History

#1 - 2015-02-16 12:01 - Jun NAITOH

| have created issue.
https://github.com/naitoh/rbpdf/issues/10

#2 - 2015-02-16 14:51 - Marcel Miiller

Replaced the installed rbpdf.rb with the new one and layout looks good on iOS now - although zooming in (with pinch-to-zoom) is still not possible
when viewing the pdf in safari.

#3 - 2015-02-28 19:05 - Jun NAITOH

Marcel Muller wrote:

although zooming in (with pinch-to-zoom) is still not possible when viewing the pdf in safari.

What does 'with pinch-to-zoom' mean?
| think looks good pdf in safari on iOS 8.1.3 by replaced rbpdf.rb.

#4 - 2015-03-04 16:14 - Toshi MARUYAMA
https://dl.dropboxusercontent.com/u/46574377/Test.pdf
https://github.com/naitoh/rbpdf/issues/10

Marcel Muller wrote:

Can't upload the pdf (as it's too large), but here's a link: https://dl.dropboxusercontent.com/u/46574377/Test.pdf

| don't know it is related or not, it seems this pdf is made by #19017 modification.

#5 - 2015-04-01 23:18 - Marcel Miiller

Sorry, missed your replies!

| reverted the modification made in #19017 and rechecked the issue, it's still there. After further investigation | noticed that this is related to a theme
I'm using which doesn't allow zooming the viewport (something like user-scalable=no in a viewport-meta) and safari on iOS preserves this
configuration for displaying the pdf after clicking the "PDF-Link". If | open the URL directly, everything is working fine (as well as when using the
standard theme). Sorry for the confusion here.

What I'm still wondering: Is it correct, that a wiki page with such few information (see first post) generates a PDF file with > 800KB?
Thanks for your help!

#6 - 2015-05-01 07:26 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Can we close this issue?

Marcel Muller wrote:

What I'm still wondering: Is it correct, that a wiki page with such few information (see first post) generates a PDF file with > 800KB?

Because of embedded fonts.

#7 - 2015-05-03 03:46 - Marcel Miiller

The issue itself is fixed with the rbpdf 1.18.6, but this version wasn't released yet. Therefore I'm not sure if this issue should be open until 1.18.6 is
released or can be closed.

#8 - 2015-05-03 08:34 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#9 - 2015-06-20 13:49 - Jun NAITOH

This problem fixed by rbpdf 1.18.6.
please bundle update.

#10 - 2015-06-21 10:24 - Toshi MARUYAMA

- Target version set to 2.6.6

#11 - 2015-06-24 02:28 - Go MAEDA
- Related to Feature #20142: Update Gemfile to require rbpdf ~>1.18.6 added

#12 - 2015-06-28 10:01 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Fixed

Files
